scsi_test_unit_ready
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_test_unit_ready — test if unit is ready

## Synopsis

`int scsi_test_unit_ready (` | struct scsi_device * | sdev,
| int | timeout,
| int | retries,
| struct scsi_sense_hdr * | sshdr_external`)`;

## Arguments

`sdev`

  scsi device to change the state of.

`timeout`

  command timeout

`retries`

  number of retries before failing

`sshdr_external`

  Optional pointer to struct scsi_sense_hdr for returning sense. Make sure that this is cleared before passing in.

## Description

Returns zero if unsuccessful or an error if TUR failed. For removable media, a return of NOT_READY or UNIT_ATTENTION is translated to success, with the ->changed flag updated.

Prev | Up | Next
scsi_mode_sense | Home | scsi_device_set_state